Package docking.theme.gui

# Enum Class ColorSorter

java.lang.Object
java.lang.Enum<ColorSorter>
docking.theme.gui.ColorSorter

All Implemented Interfaces:
  `Serializable`, `Comparable<ColorSorter>`, `Constable`, `Comparator<Color>`

public enum ColorSorter extends Enum<ColorSorter> implements Comparator<Color>
Class for sorting colors by rgb values. Each enum values changes the order of comparison for the red, green, and blue color values.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BGR`
  `BRG`
  `GBR`
  `GRB`
  `RBG`
  `RGB`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(Color o1, Color o2)`
  `String`
  `getName()`
  `String`
  `toString()`
  `static ColorSorter`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ColorSorter[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Enum Constant Details

  - ### RGB

    public static final ColorSorter RGB

  - ### RBG

    public static final ColorSorter RBG

  - ### GRB

    public static final ColorSorter GRB

  - ### GBR

    public static final ColorSorter GBR

  - ### BRG

    public static final ColorSorter BRG

  - ### BGR

    public static final ColorSorter BGR

- ## Method Details

  - ### values

    public static ColorSorter[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ColorSorter valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ColorSorter>`

  - ### compare

    public int compare(Color o1, Color o2)
    Specified by:
      `compare` in interface `Comparator<Color>`